



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>jQuery+Ajax滚屏异步加载数据实现（附源码）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">jQuery+Ajax滚屏异步加载数据实现（附源码）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 21:13:57 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>一、CSS样式</p>
<div>
<div>
<pre class="prettyprint linenums">         body { font:12px/1.0em Microsoft Yahei; line-height:1.6em; background:#fff; line-height:1.2em; padding:0 10px; }<br />
         html,body,div { margin:;}

         .container { height:900px;}<br />
         .load-btn { display:block; text-align:center; padding:5px 10px; border:1px #eee solid; background:#f5f5f5;}</pre>
</div>
</div>
<p>二、HTML代码</p>
<div>
<div>
<pre class="prettyprint linenums"> &lt;div class="container"&gt;&lt;/div&gt;<br />
 &lt;a href="javascript:void(0)" class="load-btn load-more"&gt;查看更多&lt;/a&gt;<br />
 &lt;input type="hidden" name="PageIndex" value="1" /&gt;</pre>
</div>
</div>
<p>三、Javascript代码</p>
<div>
<pre class="prettyprint linenums"> &lt;script type="text/javascript"&gt;<br />
     $(function () {<br />
         var $page = $("input[name='PageIndex']"); //页索引

         //初始化<br />
         Data.init(10);

         //滚动加载<br />
         $(window).scroll(function () {<br />
             Data.scroll($page.val(), 10);<br />
         });

         //手动加载<br />
         $(".load-more").bind("click", function () {<br />
             Data.load($page.val(), 10);<br />
         });<br />
     })

     var Data = {<br />
         init: function (rows) {//初始化，载入第一页数据<br />
             Data.load(1, rows);<br />
         },<br />
         setPage: function () {//数据载入成功，设置下一页索引<br />
             var $page = $("input[name='PageIndex']");<br />
             var index = parseInt($page.val()) + 1;<br />
             $page.val(index);<br />
         },<br />
         scroll: function (page, rows) {//滚动到底部加载数据<br />
             var top = $(window).scrollTop();<br />
             var win = $(window).height();<br />
             var doc = $(document).height();<br />
             if ((top + win) &gt;= doc) {<br />
                 Data.load(page, rows);<br />
             }<br />
         },<br />
         load: function (page, rows) {//载入数据方法<br />
             var $msg = $('.load-btn');<br />
             $msg.removeClass('load-more').text('正在载入数据...');<br />
             $.post("ajax.php?page=" + page + "&amp;rows=" + rows + "&amp;t=" + (new Date().getTime()), function (data) {<br />
                 data = $.parseJSON(data);<br />
                 if (data != null || data.length &gt; 0) {<br />
                     Data.append(data);<br />
                     Data.setPage();<br />
                     $msg.addClass('load-more').text('查看更多');<br />
                     return true;<br />
                 }<br />
                 $msg.removeClass('load-more').text('已加载全部数据！');<br />
                 return false;<br />
             });<br />
             $msg.removeClass('load-more').text('数据加载失败！');<br />
             window.setTimeout(function () {<br />
                 $msg.addClass('load-more').text('查看更多');<br />
             }, 2000);<br />
             return false;<br />
         },<br />
         append: function (json) {//构造html，并填充<br />
             var $container = $('.container');<br />
             $.each(json, function (i) {<br />
                 html += "&lt;div class=\"item\"&gt;&lt;a href=\"item.php?id=" + json[i].id + "\" title=" + json[i].title + "&gt;" + json[i].title + "&lt;/a&gt;&lt;/div&gt;";<br />
             });<br />
             $container.append(html);<br />
         }<br />
     }<br />
 &lt;/script&gt;</pre>
</div>
<p>下载地址：<a href="http://files.cnblogs.com/wyguo/jquery_ajax_scroll_to_load_data.zip" rel="external nofollow noreferrer">http://files.cnblogs.com/wyguo/jquery_ajax_scroll_to_load_data.zip</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q21d387.html">angular2系列教程（一）hello world</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mnkr0q.html">mac 终端 svn 命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/495073m8.html">与你相遇好幸运，德淘gen8历程</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw64zk9.html">ios获取一个文件夹下的文件（夹）列表</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oknxjl9.html">&lbrack;3D&rsqb; 基本概念</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnnp3z8.html">java之代理模式</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vkmym8.html">HDU1411&plus;四面体的体积</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwderz38.html">bootstrap Tooltip换行问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w15yoq.html">【转】Linux命令之查看文件占用空间大小-du&comma;df</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x1nlw9.html">真机测试---iOS证书&lpar;&period;p12&rpar;和描述文件&lpar;&period;mobileprovision&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zgn009.html">PHPRPC for PHP</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpn3059.html">CSS3知识点整理（三）----变形与动画</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg1lrr8.html">&lbrack;52PJ&rsqb; Java面向对象笔记（转自52 1510988116）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj05jj8.html">&lbrack;国嵌笔记&rsqb;&lbrack;027&rsqb;&lbrack;ARM协处理器访问指令&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me6ynoq.html">自主学习之RxSwift&lpar;二&rpar; -----flatMap</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1mz0yq.html">安卓笔记--Style的继承</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllnpyxq.html">MySQL忘记root密码的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zylx3x9.html">Jenkins报错&amp;&num;39&semi;Gradle build daemon disappeared unexpectedly&amp;&num;39&semi;的问题解决</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyxgxjq.html">SQL多表查询总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wkggrq.html">LINUX内核分析第五周学习总结&mdash;&mdash;扒开系统调用的&OpenCurlyDoubleQuote;三层皮&rdquo;（下）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/oqvlzlz8.html">使用HTML5的File实现base64和图片的互转</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq13jk58.html">导出特定内容成insert语句</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqvlr2o8.html">画之国 Le tableau &lpar;2011&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zw46v8.html">ios面试总结-</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2431w8.html">SAP 系统管理内容</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyk6xd9.html">解决Electron加载带jquery的项目报错问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqd2gy79.html">Entity Framework Core 实现读写分离</a>
			</li>
						<li><a href="https://www.batexi.com/a/495oz5e8.html">美行Thinkpad八通道快捷入口</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93z660q.html">很好的一篇讲LTP在编解码中的作用的文章</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9j36m0q.html">npoi与memcached中的ICSharpCode&period;SharpZipLib版本冲突的解决方案</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
